# Update Pathway

Updates a pathway for the requesting practice group.

Endpoint: PATCH /v1/care-nav/pathways/{id}
Version: 1.0.0
Security: apiKeyAuth, practiceGroupId

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `practiceGroupId` (unknown)
    apiKey in header x-practice-group-id

## Path parameters:

  - `id` (string, required)

## Request fields (application/json):

  - `title` (string)

  - `summary` (string)

  - `in_hours` (boolean)

  - `out_of_hours` (boolean)

  - `suspended` (boolean)

  - `order` (integer)

## Response 200:

  - `200` (unknown)
    Ok

## Response 200 fields (application/json):

  - `id` (string, required)

  - `title` (string, required)

  - `summary` (string, required)

  - `in_hours` (boolean, required)

  - `out_of_hours` (boolean, required)

  - `suspended` (boolean, required)

  - `order` (number, required)

  - `created_at` (string, required)

  - `updated_at` (string, required)

## Response 400:

  - `400` (unknown)
    Validation error

## Response 400 fields (application/json):

  - `error` (boolean, required)
    Example: true

  - `statusCode` (number, required)
    Example: 400

  - `message` (array, required)

  - `message.code` (string, required)
    Example: invalid_type

  - `message.expected` (string, required)
    Example: string

  - `message.path` (array, required)
    Example: ["patient_id"]

  - `message.message` (string, required)
    Example: Required

## Response 401:

  - `401` (unknown)
    Unauthorised

## Response 404:

  - `404` (unknown)
    Not found

## Response 422:

  - `422` (unknown)
    Business rule violation

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 500:

  - `500` (unknown)
    Unknown error

